## zsi 2.1~a1

=== debian/changelog ===
zsi (2.1~a1-4) unstable; urgency=low

  * Team upload

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Drop obsolete Conflicts/Replaces with python2.3-zsi and python2.4-zsi.

  [ SVN-Git Migration ]
  * git-dpm config.
  * Update Vcs fields for git migration.

  [ Mattia Rizzolo ]
  * use source format 3.0 (quilt).
  * modernize the packaging: dh sequencer, debhelper compat 9, pybuild,
    dh-python (instead of pysupport).
    (Closes: #786074)
  * debian/control:
    + Bump Standards-Version to 3.9.6, no changes needed.
    + Remove Stefano Zacchiroli from Uploaders, after his request.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 12 Dec 2015 12:16:23 +0000

zsi (2.1~a1-3) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Julien Lavergne ]
  * From Ubuntu, prepare for the future python transition:
   - debian/rules: 
    + Add --install-layout=deb to setup.py install
   - debian/control: 
    + Bump build-depends to python-all (>= 2.5.4-1~)
    + Bump build-depends to debhelper (>= 5.0.38)
  * debian/control : Drop obsolete depends on python-xml
    (Closes: #468622)

  [ Bernd Zeimetz ]
  * debian/README.source: adding file
  * debian/control: Bumping Standards-Version to 3.8.2. 

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 09 Aug 2009 02:09:21 +0200

zsi (2.1~a1-2) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Build with the default Python interpreter first, as distutils is
      copying wsdl2py built with a non-default Python version, which has
      pythonX.Y in its shebang and thus makes the package depend on a
      non-default interpreter.
      Also, build it with python instead of pythonX.Y for the default
      interpreter, so that /usr/bin/wsdl2py has a standard shebang and
      the package just depends on python.
      Closes: #502453.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 21 Oct 2008 20:41:16 +0200

zsi (2.1~a1-1) unstable; urgency=low

  [ Bernd Zeimetz ]
  * New upstream version
  * debian/watch: Updating file to handle pre-release versions correctly.
  * debian/control:
    - Adding Homepage field, removing pseudo-field from description
    - Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)
    - Removing cdbs from Build-Depends, moving python-support to
      Build-Depends-Indep
    - Updating my email address.
    - Bumping  Standards-Version to 3.7.3.
    - Fixing a minor spelling error: s/python/Python/
    - Adding Provides: ${python:Provides} to allow smooth upgrades and
      backports.
  * debian/rules:
    - Replacing cdbs by a 'normal' file.
    - Chmod 644 for an example cgi script.
  * debian/patches:
    - Updating bogus-shebang-remove.dpatch to fit the current version.
  * debian/*.doc-base.*:
    - Updating to fit into the new categories.
  * debian/source.lintian-overrides:
    - Dropping file as requested by lintian.

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field
  * debian/copyright
    - updated upstream author email and indented with 4 spaces
    - general rewrite

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 22 Apr 2008 11:15:44 +0200

zsi (2.0-2) unstable; urgency=low

  * debian/pycompat:
    - removing file, not needed
  * debian/pyversions:
    - limiting supported python versions to 2.4 and higher to make life more
      easy for backporters. Zsi 2.0 does not support python 2.3 anymore.
  * debian/watch:
    - handle -rc versions in a proper way
  * debian/control:
    - adding Homepage: link

 -- Bernd Zeimetz <bernd@bzed.de>  Wed, 16 May 2007 12:07:31 +0200

zsi (2.0-1) unstable; urgency=low

  [ Tristan Seligmann ]
  * New upstream version (closes: #410820).
  * debian/control
    - set Maintainer to the team, add me as an uploader

  [ Bernd Zeimetz ]
  * debian/compat:
    - bumping compat level to 5, no changes needed
  * debian/control:
    - switching dependencies from pycentral to python-support to
      fix #416103 without hassle
    - remove no longer needed Provides and X*-Python-Version fields
    - removing python-all-dev from Build-Depends-Indep
    - removing python-setuptools from Build-Depends-Indep as the
      installed Egg-Info will not work on Debian (yet).
    - add ${misc:Depends} as a dependency
    - adding XS-Vcs-* fields
    - adding dpatch to Build-Depends
    - adding myself to Uploaders
  * debian/pycompat:
    - remove file, not needed
  * debian/python-zsi.doc-base.*, python-zsi.docs:
    - 2.0 ships with a new documentation, update files accordingly
  * debian/python-zsi.lintian-overrides
    - remove file, not needed anymore
  * debian/source.lintian-overrides
    - removing now unnecessary overrides, keeping the override
      for the .cvsignore files in the doc directory
  * debian/rules:
    - switching from pycentral to python-support (Closes: #416103)
    - adding dpatch include
  * debian/patches/bogus-shebang-remove.dpatch:
    - adding patch to remove bogus she-bang lines from several files
  * debian/patches/no-setuptools.dpatch:
    - make sure we don't use setuptools

  [ Stefano Zacchiroli ]
  * debian/control
    - added myself as an Uploader
  * manpages fixes
    - wsdl2py: mention that the generated code is Python code, uniform
      caseness for "WSDL"
    - wsdl2dispatch: mention Python as above, fixed a typo

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 10 May 2007 12:35:16 +0200

zsi (1.7-2) unstable; urgency=low

  * Bump Standards-Version to 3.7.2 (no changes required).
  * Move cdbs, debhelper, and python to Build-Depends, as they are needed to
    run the clean target.
  * Update package to comply with the new Python policy (closes: #373415).
    - python-central is used to manage different python versions.
    - New control headers added as required.
  * Update Conflicts/Replaces to include python2.4-zsi as well.
    - These packages were never built for Debian, so this is mainly an Ubuntu
      courtesy.

