=== debian/control ===
Source: zsi
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Tristan Seligmann <mithrandi@mithrandi.net>, Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.5.4-1~), dh-python
Homepage: http://pywebsvcs.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/zsi.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/zsi.git
Standards-Version: 3.9.6

Package: python-zsi
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Zolera Soap Infrastructure
 ZSI is a Python package that provides an implementation of SOAP messaging,
 as described in The SOAP 1.1 Specification. In particular, ZSI parses and
 generates SOAP messages, and converts between native Python datatypes and
 SOAP syntax. It can also be used to build applications using SOAP Messages
 with Attachments. ZSI is ``transport neutral'', and provides only a simple
 I/O and dispatch framework; a more complete solution is the responsibility
 of the application using ZSI.
 .
 This package contains the wsdl2py tool as well as all documentation.
