=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKGNAME:=python-zsi

# NOTE: tests aren't run, they fails.
%:
	dh $@ --with python2 --buildsystem pybuild

override_dh_fixperms:
	find $(CURDIR)/debian/$(PKGNAME) -name '.cvsignore' -print0 | xargs -0 /bin/rm -f
	chmod 644 $(CURDIR)/debian/$(PKGNAME)/usr/share/doc/python-zsi/examples/server/receive_request/simple/CGI/cgi.py
	dh_fixperms -O--buildsystem pybuild
