=== debian/watch ===
version=3

opts="uversionmangle=s/-([a-z].*)/~$1/" http://sf.net/pywebsvcs/ZSI-(.*)\.tar\.gz
